>

RHEL 6.9 (Oracle 파생)에서 사전 패키지 된 Emacs 버전 25를 어떻게 설치합니까?

yum 에서  표준 검색 (Spacewalk 서버 포함)은 Emacs 버전 23.1 만 제공합니다.

  • 답변 # 1

    현재까지 (Eep2017) Emacs 25의 사전 빌드 RHEL 패키지는 존재하지 않는 것 같습니다. 내 해결 방법은 소스에서 Emacs 25를 설치하는 것이 었습니다.

    <올>

    yum 를 통해 다음 개발 패키지가 설치되어 있는지 확인하십시오 :

    gtk+-devel, gtk2-devel, libXpm-devel, libpng-devel, giflib-devel, libtiff-devel, libjpeg-devel, ncurses-devel, gpm-devel, dbus-devel, dbus-glib-devel, dbus-python, GConf2-devel, pkgconfig, libXft-devel  그리고 "Development Tools"  그룹

    그런 다음 최신 안정적인 emacs 소스를 다운로드하십시오 (현재 ftp.gnu.org/pub/gnu/emacs/emacs-25.2.tar.xz ). )

    그런 다음 일반적인 설치 "dance"를 수행하십시오 :

    tar xvJf  emacs-25.2.tar.xz
    cd emacs-25.2
    ./configure
    make all
    sudo make install
    
    

    이제 /usr/local/bin/emacs-25.2 에 있습니다  반짝이는 새로운 emacs 실행 파일.

  • 이전 make - 커널 모듈 개발을 위해 Buildroot로 스테이징하기 위해 커널 개발 헤더를 설치하는 방법은 무엇입니까?
  • 다음 plasma - 하나의 가상 데스크톱에 대해 KDE에서 데스크톱 호출기를 표시하는 방법